<?php
/**
 * Theme Customizer Functions
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
$whitish_lite_settings = whitish_lite_get_theme_options();
/******************** Whitish Lite LAYOUT OPTIONS ******************************************/
	$wp_customize->add_section('whitish_lite_layout_options', array(
		'title' => __('Layout Options', 'whitish-lite'),
		'priority' => 102,
		'panel' => 'whitish_lite_options_panel'
	));
	$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_blog_layout]', array(
		'default' => $whitish_lite_settings['whitish_lite_blog_layout'],
		'sanitize_callback' => 'whitish_lite_sanitize_select',
		'type' => 'option',
	));
	$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_blog_layout]', array(
		'priority' =>30,
		'label' => __('Blog Layout', 'whitish-lite'),
		'section'    => 'whitish_lite_layout_options',
		'type' => 'select',
		'checked' => 'checked',
		'choices' => array(
			'large_image_display' => __('Grid View Layout','whitish-lite'),
			'medium_image_display' => __('List View Layout','whitish-lite'),
			'single_column_blog'	=> __('Single Column','whitish-lite'),
		),
	));
	$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_entry_meta_blog]', array(
		'default' => $whitish_lite_settings['whitish_lite_entry_meta_blog'],
		'sanitize_callback' => 'whitish_lite_sanitize_select',
		'type' => 'option',
	));
	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_entry_meta_blog]', array(
		'priority'=>45,
		'label' => __('Meta for blog page', 'whitish-lite'),
		'section' => 'whitish_lite_layout_options',
		'type'	=> 'select',
		'choices' => array(
		'show-meta' => __('Show Meta','whitish-lite'),
		'hide-meta' => __('Hide Meta','whitish-lite'),
	),
	));
	$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_design_layout]', array(
		'default'        => $whitish_lite_settings['whitish_lite_design_layout'],
		'sanitize_callback' => 'whitish_lite_sanitize_select',
		'type'                  => 'option',
	));
	$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_design_layout]', array(
	'priority'  =>50,
	'label'      => __('Design Layout', 'whitish-lite'),
	'section'    => 'whitish_lite_layout_options',
	'type'       => 'select',
	'checked'   => 'checked',
	'choices'    => array(
		'wide-layout' => __('Full Width Layout','whitish-lite'),
		'boxed-layout' => __('Boxed Layout','whitish-lite'),
		'small-boxed-layout' => __('Small Boxed Layout','whitish-lite'),
	),
));
?>